org.keycloak.models.cache.infinispan

## Class ClientTemplateAdapter

- java.lang.Object
- - org.keycloak.models.cache.infinispan.ClientTemplateAdapter

- All Implemented Interfaces:
    ClientTemplateModel, ProtocolMapperContainerModel, ScopeContainerModel

      public class ClientTemplateAdapter
      extends Object
      implements ClientTemplateModel

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected CachedClientTemplate` | `cached`
    `protected RealmModel` | `cachedRealm`
    `protected RealmCacheSession` | `cacheSession`
    `protected boolean` | `invalidated`
    `protected ClientTemplateModel` | `updated`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientTemplateAdapter(RealmModel cachedRealm, CachedClientTemplate cached, RealmCacheSession cacheSession)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProtocolMapperModel` | `addProtocolMapper(ProtocolMapperModel model)`
    `void` | `addScopeMapping(RoleModel role)`
    `void` | `deleteScopeMapping(RoleModel role)`
    `boolean` | `equals(Object o)`
    `String` | `getAttribute(String name)`
    `Map<String,String>` | `getAttributes()`
    `String` | `getDescription()`
    `String` | `getId()`
    `String` | `getName()`
    `String` | `getProtocol()`
    `ProtocolMapperModel` | `getProtocolMapperById(String id)`
    `ProtocolMapperModel` | `getProtocolMapperByName(String protocol, String name)`
    `Set<ProtocolMapperModel>` | `getProtocolMappers()`
    `RealmModel` | `getRealm()`
    `Set<RoleModel>` | `getRealmScopeMappings()`
    `Set<RoleModel>` | `getScopeMappings()`
    `int` | `hashCode()`
    `boolean` | `hasScope(RoleModel role)`
    `void` | `invalidate()`
    `boolean` | `isBearerOnly()`
    `boolean` | `isConsentRequired()`
    `boolean` | `isDirectAccessGrantsEnabled()`
    `boolean` | `isFrontchannelLogout()`
    `boolean` | `isFullScopeAllowed()`
    `boolean` | `isImplicitFlowEnabled()`
    `boolean` | `isPublicClient()`
    `boolean` | `isServiceAccountsEnabled()`
    `boolean` | `isStandardFlowEnabled()`
    `protected boolean` | `isUpdated()`
    `void` | `removeAttribute(String name)`
    `void` | `removeProtocolMapper(ProtocolMapperModel mapping)`
    `void` | `setAttribute(String name, String value)`
    `void` | `setBearerOnly(boolean only)`
    `void` | `setConsentRequired(boolean consentRequired)`
    `void` | `setDescription(String description)`
    `void` | `setDirectAccessGrantsEnabled(boolean directAccessGrantsEnabled)`
    `void` | `setFrontchannelLogout(boolean flag)`
    `void` | `setFullScopeAllowed(boolean value)`
    `void` | `setImplicitFlowEnabled(boolean implicitFlowEnabled)`
    `void` | `setName(String name)`
    `void` | `setProtocol(String protocol)`
    `void` | `setPublicClient(boolean flag)`
    `void` | `setServiceAccountsEnabled(boolean serviceAccountsEnabled)`
    `void` | `setStandardFlowEnabled(boolean standardFlowEnabled)`
    `void` | `updateProtocolMapper(ProtocolMapperModel mapping)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cacheSession

          protected RealmCacheSession cacheSession

    - #### cachedRealm

          protected RealmModel cachedRealm

    - #### updated

          protected ClientTemplateModel updated

    - #### cached

          protected CachedClientTemplate cached

    - #### invalidated

          protected boolean invalidated

  - ### Constructor Detail

    - #### ClientTemplateAdapter

          public ClientTemplateAdapter(RealmModel cachedRealm,
                                       CachedClientTemplate cached,
                                       RealmCacheSession cacheSession)

  - ### Method Detail

    - #### invalidate

          public void invalidate()

    - #### isUpdated

          protected boolean isUpdated()

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ClientTemplateModel`

    - #### getRealm

          public RealmModel getRealm()

      Specified by:
        `getRealm` in interface `ClientTemplateModel`

    - #### getProtocolMappers

          public Set<ProtocolMapperModel> getProtocolMappers()

      Specified by:
        `getProtocolMappers` in interface `ProtocolMapperContainerModel`

    - #### addProtocolMapper

          public ProtocolMapperModel addProtocolMapper(ProtocolMapperModel model)

      Specified by:
        `addProtocolMapper` in interface `ProtocolMapperContainerModel`

    - #### removeProtocolMapper

          public void removeProtocolMapper(ProtocolMapperModel mapping)

      Specified by:
        `removeProtocolMapper` in interface `ProtocolMapperContainerModel`

    - #### updateProtocolMapper

          public void updateProtocolMapper(ProtocolMapperModel mapping)

      Specified by:
        `updateProtocolMapper` in interface `ProtocolMapperContainerModel`

    - #### getProtocolMapperById

          public ProtocolMapperModel getProtocolMapperById(String id)

      Specified by:
        `getProtocolMapperById` in interface `ProtocolMapperContainerModel`

    - #### getProtocolMapperByName

          public ProtocolMapperModel getProtocolMapperByName(String protocol,
                                                             String name)

      Specified by:
        `getProtocolMapperByName` in interface `ProtocolMapperContainerModel`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `ClientTemplateModel`

    - #### setName

          public void setName(String name)

      Specified by:
        `setName` in interface `ClientTemplateModel`

    - #### getDescription

          public String getDescription()

      Specified by:
        `getDescription` in interface `ClientTemplateModel`

    - #### setDescription

          public void setDescription(String description)

      Specified by:
        `setDescription` in interface `ClientTemplateModel`

    - #### getProtocol

          public String getProtocol()

      Specified by:
        `getProtocol` in interface `ClientTemplateModel`

    - #### setProtocol

          public void setProtocol(String protocol)

      Specified by:
        `setProtocol` in interface `ClientTemplateModel`

    - #### isFullScopeAllowed

          public boolean isFullScopeAllowed()

      Specified by:
        `isFullScopeAllowed` in interface `ScopeContainerModel`

    - #### setFullScopeAllowed

          public void setFullScopeAllowed(boolean value)

      Specified by:
        `setFullScopeAllowed` in interface `ScopeContainerModel`

    - #### getScopeMappings

          public Set<RoleModel> getScopeMappings()

      Specified by:
        `getScopeMappings` in interface `ScopeContainerModel`

    - #### addScopeMapping

          public void addScopeMapping(RoleModel role)

      Specified by:
        `addScopeMapping` in interface `ScopeContainerModel`

    - #### deleteScopeMapping

          public void deleteScopeMapping(RoleModel role)

      Specified by:
        `deleteScopeMapping` in interface `ScopeContainerModel`

    - #### getRealmScopeMappings

          public Set<RoleModel> getRealmScopeMappings()

      Specified by:
        `getRealmScopeMappings` in interface `ScopeContainerModel`

    - #### hasScope

          public boolean hasScope(RoleModel role)

      Specified by:
        `hasScope` in interface `ScopeContainerModel`

    - #### isPublicClient

          public boolean isPublicClient()

      Specified by:
        `isPublicClient` in interface `ClientTemplateModel`

    - #### setPublicClient

          public void setPublicClient(boolean flag)

      Specified by:
        `setPublicClient` in interface `ClientTemplateModel`

    - #### isFrontchannelLogout

          public boolean isFrontchannelLogout()

      Specified by:
        `isFrontchannelLogout` in interface `ClientTemplateModel`

    - #### setFrontchannelLogout

          public void setFrontchannelLogout(boolean flag)

      Specified by:
        `setFrontchannelLogout` in interface `ClientTemplateModel`

    - #### setAttribute

          public void setAttribute(String name,
                                   String value)

      Specified by:
        `setAttribute` in interface `ClientTemplateModel`

    - #### removeAttribute

          public void removeAttribute(String name)

      Specified by:
        `removeAttribute` in interface `ClientTemplateModel`

    - #### getAttribute

          public String getAttribute(String name)

      Specified by:
        `getAttribute` in interface `ClientTemplateModel`

    - #### getAttributes

          public Map<String,String> getAttributes()

      Specified by:
        `getAttributes` in interface `ClientTemplateModel`

    - #### isBearerOnly

          public boolean isBearerOnly()

      Specified by:
        `isBearerOnly` in interface `ClientTemplateModel`

    - #### setBearerOnly

          public void setBearerOnly(boolean only)

      Specified by:
        `setBearerOnly` in interface `ClientTemplateModel`

    - #### isConsentRequired

          public boolean isConsentRequired()

      Specified by:
        `isConsentRequired` in interface `ClientTemplateModel`

    - #### setConsentRequired

          public void setConsentRequired(boolean consentRequired)

      Specified by:
        `setConsentRequired` in interface `ClientTemplateModel`

    - #### isStandardFlowEnabled

          public boolean isStandardFlowEnabled()

      Specified by:
        `isStandardFlowEnabled` in interface `ClientTemplateModel`

    - #### setStandardFlowEnabled

          public void setStandardFlowEnabled(boolean standardFlowEnabled)

      Specified by:
        `setStandardFlowEnabled` in interface `ClientTemplateModel`

    - #### isImplicitFlowEnabled

          public boolean isImplicitFlowEnabled()

      Specified by:
        `isImplicitFlowEnabled` in interface `ClientTemplateModel`

    - #### setImplicitFlowEnabled

          public void setImplicitFlowEnabled(boolean implicitFlowEnabled)

      Specified by:
        `setImplicitFlowEnabled` in interface `ClientTemplateModel`

    - #### isDirectAccessGrantsEnabled

          public boolean isDirectAccessGrantsEnabled()

      Specified by:
        `isDirectAccessGrantsEnabled` in interface `ClientTemplateModel`

    - #### setDirectAccessGrantsEnabled

          public void setDirectAccessGrantsEnabled(boolean directAccessGrantsEnabled)

      Specified by:
        `setDirectAccessGrantsEnabled` in interface `ClientTemplateModel`

    - #### isServiceAccountsEnabled

          public boolean isServiceAccountsEnabled()

      Specified by:
        `isServiceAccountsEnabled` in interface `ClientTemplateModel`

    - #### setServiceAccountsEnabled

          public void setServiceAccountsEnabled(boolean serviceAccountsEnabled)

      Specified by:
        `setServiceAccountsEnabled` in interface `ClientTemplateModel`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2016 JBoss by Red Hat. All rights reserved.